Create image
Generates images from text prompts using OpenAI-compatible format.
Note: Azure OpenAI deployments are also supported via the Azure integration endpoint.
Note: This endpoint also works without the /v1 prefix (e.g., /openai/images/generations).
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Model identifier
Text prompt to generate image
Number of images to generate
11 <= value <= 10Size of the generated image
"256x256" | "512x512" | "1024x1024" | "1792x1024" | "1024x1792" | "1536x1024" | "1024x1536" | "auto"Quality of the generated image
"standard" | "hd"Style of the generated image
"natural" | "vivid"Format of the response. This parameter is not supported for streaming requests.
"url""url" | "b64_json"User identifier for tracking
Whether to stream the response. When true, images are sent as base64 chunks via SSE.
falseFallback models to try if primary model fails
Response Body
curl -X POST "https://loading/{AI_GATEWAY_URL}/openai/v1/images/generations" \ -H "Content-Type: application/json" \ -d '{ "model": "string", "prompt": "string" }'{
"created": 0,
"data": [
{
"url": "http://example.com",
"b64_json": "string",
"revised_prompt": "string",
"index": 0
}
],
"background": "string",
"output_format": "string",
"quality": "string",
"size": "string",
"usage": {
"input_tokens": 0,
"input_tokens_details": {
"image_tokens": 0,
"text_tokens": 0
},
"total_tokens": 0,
"output_tokens": 0,
"output_tokens_details": {
"image_tokens": 0,
"text_tokens": 0
}
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}